bitel.billing.server.call.bean

## Class ReportUtils

- java.lang.Object
- - bitel.billing.server.call.bean.ReportUtils

- Direct Known Subclasses:
    DialUpReportUtils, VoiceIpReportUtils

      public abstract class ReportUtils
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.sql.Connection` | `con`
    `protected LoginManager` | `loginManager`
    `protected int` | `mid`
    `protected Preferences` | `moduleSetup`
    `protected int` | `unit`
    `protected int` | `unit_scale`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReportUtils(java.sql.Connection con, int mid, Preferences moduleSetup)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `addLoginsAmounts(Period period, int cid, org.w3c.dom.Element data, java.lang.String module, java.lang.String filter)`
    `abstract void` | `addLoginsAmounts(Period period, int cid, java.util.Map<java.lang.String,java.lang.Object> dataMap, java.lang.String module, java.lang.String filter)`
    `void` | `addSessions(org.w3c.dom.Element sessions, java.util.List<java.lang.Integer> lids, Period period, boolean break_on_pages, Page page, java.lang.String columns, java.lang.String filter)`
    `void` | `addSessions(java.sql.ResultSet rs, org.w3c.dom.Element data)`
    `abstract int` | `addSums(org.w3c.dom.Element data, java.util.List<java.lang.Integer> lids, Period period, java.lang.String filter)`
    `LoginManager` | `getLoginManager()`
    `static ReportUtils` | `getReportUtils(java.lang.String module, java.sql.Connection con, int mid, ModuleSetup moduleSetup)`
    `java.util.List<java.lang.Object>` | `getSessionsColSumTimeTinTout(int lid, Period period, java.lang.String filter)`
    `java.util.List<java.lang.Object>` | `getSessionsColSumTimeTinTout(java.util.List<java.lang.Integer> lids, Period period, java.lang.String filter)`
    `protected java.lang.String` | `getSessionTableName(int year, int month)`
    `java.sql.PreparedStatement` | `selectSomethingFromSessions(int lid, Period period, java.lang.String whatSelect, java.lang.String filter, java.lang.String group, java.lang.String order, java.lang.String limits)` Получение информации из сессий.
    `java.sql.PreparedStatement` | `selectSomethingFromSessions(java.util.List<java.lang.Integer> lids, Period period, java.lang.String whatSelect, java.lang.String filter, java.lang.String group, java.lang.String order, java.lang.String limits)` Получение информации из сессий.
    `java.sql.ResultSet` | `selectSomthFromSessions(int lid, Period period, java.lang.String whatSelect, java.lang.String filter, java.lang.String group, java.lang.String order, java.lang.String limits)` Deprecated.
    `java.sql.ResultSet` | `selectSomthFromSessions(java.util.List<java.lang.Integer> lids, Period period, java.lang.String whatSelect, java.lang.String filter, java.lang.String group, java.lang.String order, java.lang.String limits)` Deprecated.
    `void` | `setUnit(int unit)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### con

          protected java.sql.Connection con

    - #### mid

          protected int mid

    - #### moduleSetup

          protected Preferences moduleSetup

    - #### loginManager

          protected LoginManager loginManager

    - #### unit

          protected int unit

    - #### unit_scale

          protected int unit_scale

  - ### Constructor Detail

    - #### ReportUtils

          public ReportUtils(java.sql.Connection con,
                             int mid,
                             Preferences moduleSetup)

  - ### Method Detail

    - #### getReportUtils

          public static ReportUtils getReportUtils(java.lang.String module,
                                                   java.sql.Connection con,
                                                   int mid,
                                                   ModuleSetup moduleSetup)

    - #### setUnit

          public void setUnit(int unit)

    - #### getLoginManager

          public LoginManager getLoginManager()

    - #### selectSomethingFromSessions

          public java.sql.PreparedStatement selectSomethingFromSessions(int lid,
                                                                        Period period,
                                                                        java.lang.String whatSelect,
                                                                        java.lang.String filter,
                                                                        java.lang.String group,
                                                                        java.lang.String order,
                                                                        java.lang.String limits)

      Получение информации из сессий.
      Parameters:
        `lid` -
        `period` - период
        `whatSelect` - какие параметры необходимо получить через запятую
        `filter` -
        `group` -
        `order` -
        `limits` -
      Returns:

    - #### selectSomthFromSessions

          @Deprecated
          public java.sql.ResultSet selectSomthFromSessions(int lid,
                                                                        Period period,
                                                                        java.lang.String whatSelect,
                                                                        java.lang.String filter,
                                                                        java.lang.String group,
                                                                        java.lang.String order,
                                                                        java.lang.String limits)

      Deprecated.
      Использование данного метода крайне нежелательно, т.к. возможна утечка ресурсов и снижение производительности. Вместо данного метода рекомендуется использовать `selectSomethingFromSessions(int, Period, String, String, String, String, String)`
      Parameters:
        `lid` -
        `period` -
        `whatSelect` -
        `filter` -
        `group` -
        `order` -
        `limits` -
      Returns:

    - #### selectSomethingFromSessions

          public java.sql.PreparedStatement selectSomethingFromSessions(java.util.List<java.lang.Integer> lids,
                                                                        Period period,
                                                                        java.lang.String whatSelect,
                                                                        java.lang.String filter,
                                                                        java.lang.String group,
                                                                        java.lang.String order,
                                                                        java.lang.String limits)

      Получение информации из сессий.
      Parameters:
        `lid` -
        `period` - период
        `whatSelect` - какие параметры необходимо получить через запятую
        `filter` -
        `group` -
        `order` -
        `limits` -
      Returns:

    - #### selectSomthFromSessions

          @Deprecated
          public java.sql.ResultSet selectSomthFromSessions(java.util.List<java.lang.Integer> lids,
                                                                        Period period,
                                                                        java.lang.String whatSelect,
                                                                        java.lang.String filter,
                                                                        java.lang.String group,
                                                                        java.lang.String order,
                                                                        java.lang.String limits)

      Deprecated.
      Использование данного метода крайне нежелательно, т.к. возможна утечка ресурсов и снижение производительности. Вместо данного метода рекомендуется использовать `selectSomethingFromSessions(List, Period, String, String, String, String, String)`
      Parameters:
        `lids` -
        `period` -
        `whatSelect` -
        `filter` -
        `group` -
        `order` -
        `limits` -
      Returns:

    - #### getSessionTableName

          protected java.lang.String getSessionTableName(int year,
                                                         int month)

    - #### getSessionsColSumTimeTinTout

          public java.util.List<java.lang.Object> getSessionsColSumTimeTinTout(int lid,
                                                                               Period period,
                                                                               java.lang.String filter)
                                                                        throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getSessionsColSumTimeTinTout

          public java.util.List<java.lang.Object> getSessionsColSumTimeTinTout(java.util.List<java.lang.Integer> lids,
                                                                               Period period,
                                                                               java.lang.String filter)
                                                                        throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### addSessions

          public void addSessions(org.w3c.dom.Element sessions,
                                  java.util.List<java.lang.Integer> lids,
                                  Period period,
                                  boolean break_on_pages,
                                  Page page,
                                  java.lang.String columns,
                                  java.lang.String filter)

    - #### addLoginsAmounts

          public abstract void addLoginsAmounts(Period period,
                                                int cid,
                                                org.w3c.dom.Element data,
                                                java.lang.String module,
                                                java.lang.String filter)
                                         throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### addSums

          public abstract int addSums(org.w3c.dom.Element data,
                                      java.util.List<java.lang.Integer> lids,
                                      Period period,
                                      java.lang.String filter)
                               throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### addSessions

          public void addSessions(java.sql.ResultSet rs,
                                  org.w3c.dom.Element data)

    - #### addLoginsAmounts

          public abstract void addLoginsAmounts(Period period,
                                                int cid,
                                                java.util.Map<java.lang.String,java.lang.Object> dataMap,
                                                java.lang.String module,
                                                java.lang.String filter)
                                         throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`